
def rich_table_example(data):
    from rich.table import Table
    from rich.console import Console

    table = Table(show_header=True, header_style="bold magenta")
    table.add_column("Name", justify="right")
    table.add_column("Age", justify="center")
    table.add_column("Country", justify="left")

    console = Console()
    for row in data:
        table.add_row(row[0], row[1], row[2])

    console.print(table)



